summaryrefslogtreecommitdiffstats
path: root/ubuntu/lucid_automake/applications/kpowersave/debian/postrm
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu/lucid_automake/applications/kpowersave/debian/postrm')
-rw-r--r--ubuntu/lucid_automake/applications/kpowersave/debian/postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/ubuntu/lucid_automake/applications/kpowersave/debian/postrm b/ubuntu/lucid_automake/applications/kpowersave/debian/postrm
new file mode 100644
index 000000000..10d5b1f2b
--- /dev/null
+++ b/ubuntu/lucid_automake/applications/kpowersave/debian/postrm
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+package_name=kpowersave-kde3
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove /etc/acpi/powerbtn.sh
+ ;;
+ purge)
+ ;;
+ upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0